%define upstream_name Crypt-OpenSSL-ECDSA
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl extension for OpenSSL ECDSA (Elliptic Curve Digital Signature Algorithm)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::OpenSSL::EC) >= 0.50.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: pkgconfig(openssl)
%description
Perl extension for OpenSSL ECDSA (Elliptic Curve Digital Signature Algorithm).

%prep
%autosetup -n %{upstream_name}-%{upstream_version}
# Help generators to recognize Perl scripts
for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!\s*perl}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Fri Dec 01 2023 tv <tv> 0.100.0-6.mga10
+ Revision: 2012046
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.100.0-5.mga9
+ Revision: 1861661
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.100.0-4.mga9
+ Revision: 1796577
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 0.100.0-3.mga9
+ Revision: 1747902
- rebuild for openssl 3.0.0

* Mon May 24 2021 umeabot <umeabot> 0.100.0-2.mga9
+ Revision: 1726482
- Rebuild for perl 5.34

* Mon Apr 19 2021 tv <tv> 0.100.0-1.mga9
+ Revision: 1716875
- update to 0.10

* Wed Jun 17 2020 umeabot <umeabot> 0.80.0-9.mga8
+ Revision: 1594377
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.80.0-8.mga8
+ Revision: 1530211
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.80.0-7.mga8
+ Revision: 1433461
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.80.0-6.mga7
+ Revision: 1292554
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 pterjan <pterjan> 0.80.0-5.mga7
+ Revision: 1248972
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.80.0-4.mga7
+ Revision: 1163661
- rebuild with fixed rpm for missing autodeps

* Mon Sep 04 2017 guillomovitch <guillomovitch> 0.80.0-3.mga7
+ Revision: 1151126
- fix build with openssl 1.1

* Sat Jul 22 2017 neoclust <neoclust> 0.80.0-2.mga7
+ Revision: 1126604
- Rebuild against new Perl 5.26

* Wed Jul 19 2017 sander85 <sander85> 0.80.0-1.mga7
+ Revision: 1125067
- update to 0.08

* Sat Jun 18 2016 pterjan <pterjan> 0.70.0-3.mga6
+ Revision: 1024525
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.70.0-2.mga6
+ Revision: 956975
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 848480
- imported package perl-Crypt-OpenSSL-ECDSA

